<div class="row" style="padding-top: 50px;">
  <div class="col"> 
    <div class="card card-small col-md-8 offset-2 mb-2">
      <div class="card-header border-bottom">
        <%= form_for :cases, url: upload_mapping_staff_cases_path, html: {multipart: true}  do |f| %>
          <div class="form-group">
            <span>Select Client</span> 
            <%= select_tag 'client_id', options_for_select(@clients.collect { |c| [c.name, c.id] }, selected: params[:client_id]), class: 'form-control'  %>
          </div>

          <div class="form-group">
            <%= select_tag :case_type, options_for_select(Case::CASE_TYPES.collect{|k,v| [v, k]}, {selected: params[:case_type], :include_blank => '-- Select --'}),class: 'form-control' %>
          </div>
          
          <div class="form-group">
            <%= file_field_tag :"csv", class: 'form-control'  %>
          </div>

          <div class="form-group">
            <%= f.submit "Next", class: "btn btn-accent" %>
          </div>

          <hr />

          <div class="form-group">
            <%= render "case_formats_preview" %>
          </div>
        <% end %>
      </div>
    </div>
  </div>
</div>


<script type="text/javascript">
  function showDiv()
    {
      var client_name = $('#client_id option[value=' + $('#client_id').val() + ']').text().toLowerCase();
      var case_type = $('#case_type').val();

      $('.format-previews').hide();
      $('#' + client_name + "_" + case_type).show();
    }
    $(document).ready(function(){
      $('#client_id, #case_type').change(showDiv).trigger('change');
    });
</script>